# HG changeset patch
# User Hugh McMaster <hugh.mcmaster@outlook.com>
# Date 1565014134 -36000
#      Tue Aug 06 00:08:54 2019 +1000
# Node ID c84b6fc60a0dbf658633980cbf425f118fc75864
# Parent  caf8ccb06e18ab0e75c63b5a4b03e64873fb63e7
Generate and install a pkg-config file for the gmpxx library

diff -r caf8ccb06e18 -r c84b6fc60a0d Makefile.am
--- a/Makefile.am	Sun Aug 04 22:35:15 2019 +1000
+++ b/Makefile.am	Tue Aug 06 00:08:54 2019 +1000
@@ -124,6 +124,8 @@
 
 if WANT_CXX
 GMPXX_HEADERS_OPTION = gmpxx.h
+pkgconfig_DATA += gmpxx.pc
+EXTRA_DIST += gmpxx.pc
 endif
 EXTRA_DIST += gmpxx.h
 
diff -r caf8ccb06e18 -r c84b6fc60a0d configure.ac
--- a/configure.ac	Sun Aug 04 22:35:15 2019 +1000
+++ b/configure.ac	Tue Aug 06 00:08:54 2019 +1000
@@ -3959,7 +3959,7 @@
   tests/cxx/Makefile							\
   doc/Makefile tune/Makefile						\
   demos/Makefile demos/calc/Makefile demos/expr/Makefile		\
-  gmp.h:gmp-h.in gmp.pc:gmp.pc.in)
+  gmp.h:gmp-h.in gmp.pc:gmp.pc.in gmpxx.pc:gmpxx.pc.in)
 
 AC_MSG_NOTICE([summary of build options:
 
diff -r caf8ccb06e18 -r c84b6fc60a0d gmpxx.pc.in
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/gmpxx.pc.in	Tue Aug 06 00:08:54 2019 +1000
@@ -0,0 +1,12 @@
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+includedir=@includedir@
+libdir=@libdir@
+
+Name: @PACKAGE_NAME@ C++
+Description: GNU Multiple Precision Arithmetic Library (C++)
+URL: https://gmplib.org
+Version: @PACKAGE_VERSION@
+Requires: gmp
+Cflags: -I${includedir}
+Libs: -L${libdir} -lgmpxx
